<?php

	//	PHP-Bildverarbeitung
	//
	//	Modul: E-Mail-Adressen
	//
	//	Dieser Code steht zur Benutzung auf der eigenen Website zur freien Verfügung.
	//
	//	Copyright © 2008, 2009, 2010 Paul Wilhelm <paul@mosfetkiller.de>
	//	http://mosfetkiller.de/?s=phpbildverarbeitung



	//	*******************************
	//	******** Konfiguration ********
	//	*******************************

	//	Modul: E-Mail-Adressen | Verschlüsselte E-Mail Adresse als Bild darstellen
	$image_font_size_mail = 2;								//	Schriftgröße
	$image_font_underline_mail = TRUE;						//	Unterstreichen (TRUE = Ja, FALSE = Nein)



	//	*******************************
	//	******** Modulprozedur ********
	//	*******************************

	//	Modul: E-Mail-Adressen | Verschlüsselte E-Mail Adresse als Bild darstellen
	if (isset($_GET['mail']))
	{
		//	Auf vorhandene E-Mail-Adresse prüfen
		if ($_GET['mail'] === "") die("Keine E-Mail-Adresse angegeben.");

		//	Den Text wieder umdrehen
		$mail_address = strrev($_GET['mail']);

		//	Größe des Bildes berechnen
		$image_width = strlen($mail_address) * imagefontwidth($image_font_size_mail);
		$image_height = imagefontheight($image_font_size_mail) + $image_font_underline_mail;

		//	Bild erstellen
		$image = imagecreate($image_width, $image_height);

		//	Vordergrundfarbe setzen
		$color_foreground =	imagecolorallocate ($image, 0x00, 0x00, 0x00);

		//	Hintergrundfarbe setzen
		$color_background =	imagecolorallocate ($image, 0xff, 0xff, 0xff);

		//	Hintergrund ausfüllen
		imagefill($image, 0, 0, $color_background);

		//	Text zeichnen
		imagestring($image, $image_font_size_mail, 0, 0, $mail_address, $color_foreground);

		//	Text unterstreichen
		if ($image_font_underline_mail) imageline($image, 0, $image_height - 1, $image_width - 1, $image_height - 1, $color_foreground);

		//	Bildausgabe vorbereiten
		$image_mime = "png";
	}

?>
